%define version 0.6.0
%define name kisocd
%define prefix %{_prefix}

Name: %{name}
Summary: CD-burning-frontend to cdrecord and mkisofs.
Summary(fr): Kisocd est une interface graphique pour mkisofs et cdrecord.
Version: %{version}
Release: 1mdk
Source: %{name}-%{version}.tar.bz2
Source1: %{name}
#Patch0: %{name}-%{version}.patch.bz2
URL: http://www.uni-karlsruhe.de/~um12/en/kisocdI_index.html
Group: Archiving/Cd burning
Copyright: GPL
BuildRoot: %{_tmppath}/%{name}-buildroot
Requires: qt >= 1.44 qt-egcs-10x mandrake-release >= 7.0 cdrecord mkisofs
Prefix: %{_prefix}

%description
KisoCD is a CD-burning-frontend to cdrecord and mkisofs. Using it, creating CDs
which are more than a copy of your harddisk becomes fun. You get a complete
preview of your CD, do the work using drag'n'drop; it nearly behaves like a
filemanager. Of course you can burn on-the-fly or create images before, just
how you like it. In contrast to other frontends you can very easily create
multisession- and bootable CDs.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
#%patch0 -p0

%build
export KDEDIR=%{_prefix}
CXXFLAGS="$RPM_OPT_FLAGS" CFLAGS="$RPM_OPT_FLAGS" 

./configure --prefix=$KDEDIR --with-install-root=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT    
if [ "$SMP" != "" ]; then
  (make KDEDIR=$KDEDIR "MAKE=make -k -j $SMP"; exit 0)
  make KDEDIR=$KDEDIR
else
  make KDEDIR=$KDEDIR
fi

%install
export KDEDIR=%{_prefix}
make prefix=$RPM_BUILD_ROOT$KDEDIR install

install -m 755 -d $RPM_BUILD_ROOT/usr/lib/menu
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/usr/lib/menu/

%post
## menu
if [ -x /usr/bin/update-menus ]; then
  /usr/bin/update-menus
fi

%postun
## menu
if [ "$1" = 0 ]; then
  if [ -x /usr/bin/update-menus ]; then
      /usr/bin/update-menus
  fi
fi  

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
/usr/bin/*
/usr/share/apps/kisocd/
/usr/share/icons/*.xpm
/usr/share/icons/mini/*.xpm
/usr/share/locale/*/LC_MESSAGES/*
/usr/doc/kde/HTML/*/kisocd/
/usr/lib/menu/*

%changelog
* Wed May 10 2000 Warly <warly@mandrakesoft.com> 0.6.0-1mdk
- 0.6.0

* Fri Apr 28 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.5.7-3mdk
- patched menu entry

* Mon Apr 17 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.5.7-2mdk
- patch to remove hardcoded rpath
- fixed too much directory owns

* Mon Apr 10 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.5.7-1mdk
- 0.5.7
- added dependency to cdrecord and mkisofs

* Fri Mar 31 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.5.6-1mdk
- 0.5.6
- new groups
- menu entry
- fixed url

* Wed Aug 26 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- 0.4.3

* Tue Aug 10 1999 Emmanuel Pare <ep@linux-mandrake.com>
- 0.4
- First RPM build for Mandrake.

